% Inititation Script Shell
%
% Auteur  : Grégory DAVID
%%

\documentclass[12pt,a5paper,twoside,titlepage,final]{exam}

\usepackage{style/layout}
\lstset{basicstyle={\ttfamily\scriptsize}}
\usepackage{bashful}
\newenvironment{bashful}
{\bash[prefix={},ignoreExitCode,ignoreStderr]%
}%
{}

\usepackage{style/glossaire}

\newcommand{\MONTITRE}{Initiation au script SHell}
\newcommand{\MONSOUSTITRE}{ou comment bien jouer avec les coquilles}
\newcommand{\DISCIPLINE}{\gls{SiUN}}

\usepackage[%
pdftex,%
pdftitle={\MONTITRE},%
pdfauthor={Grégory DAVID},%
pdfsubject={\MONSOUSTITRE},%
colorlinks,%
]{hyperref}

\usepackage{style/commands}

\title{%
  \begin{flushright}
      \noindent{\Huge {\bf \MONTITRE}} \\
      \noindent{\huge \MONSOUSTITRE} \\
      \noindent{\large \DISCIPLINE} \\
  \end{flushright}
}

%\printanswers\groolotPhiligranne{CORRECTION}

\begin{document}
\begin{titlepage}
  % Page de titre
  \maketitle
\end{titlepage}

% Copyright
\include{copyright}

% Contenu
\HEADER{\MONTITRE}{\DISCIPLINE}
\include{rudiments}
\include{rudiments.exercices}
\include{variables-speciales}
\include{variables-speciales.exercices}
\include{structures-de-controle}
\include{structures-de-controle.exercices}

\include{makechangelog}
\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% End:
